Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class TaskClient

    java.lang.Object
      org.jbpm.task.service.TaskClient

All Implemented Interfaces:
  AsyncTaskService

Direct Known Subclasses:
  AsyncHornetQTaskClient, AsyncMinaTaskClient

    public class TaskClient

extends Object
implements AsyncTaskService

Constructor Summary
`TaskClient(TaskClientConnector connector)`
`TaskClient(TaskClientConnector connector, Environment environment)`

Method Summary
`void` | `activate(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `addAttachment(long taskId, Attachment attachment, Content content, TaskClientHandler.AddAttachmentResponseHandler responseHandler)`
`void` | `addComment(long taskId, Comment comment, TaskClientHandler.AddCommentResponseHandler responseHandler)`
`void` | `addTask(Task task, ContentData content, TaskClientHandler.AddTaskResponseHandler responseHandler)`
`void` | `claim(long taskId, String userId, List<String> groupIds, TaskClientHandler.TaskOperationResponseHandler responseHandler)` Deprecated.
`void` | `claim(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language, TaskClientHandler.TaskOperationResponseHandler responseHandler)` Deprecated.
`void` | `claimNextAvailable(String userId, String language, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `complete(long taskId, String userId, ContentData outputData, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `completeWithResults(long taskId, String userId, Object results, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`boolean` | `connect()`
`boolean` | `connect(String address, int port)`
`void` | `delegate(long taskId, String userId, String targetUserId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `deleteAttachment(long taskId, long attachmentId, long contentId, TaskClientHandler.DeleteAttachmentResponseHandler responseHandler)`
`void` | `deleteComment(long taskId, long commentId, TaskClientHandler.DeleteCommentResponseHandler responseHandler)`
`void` | `deleteFault(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `deleteOutput(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `disconnect()`
`void` | `exit(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `fail(long taskId, String userId, FaultData faultData, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `forward(long taskId, String userId, String targetEntityId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `getContent(long contentId, TaskClientHandler.GetContentResponseHandler responseHandler)`
`void` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getSubTasksByParent(long parentId, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTask(long taskId, TaskClientHandler.GetTaskResponseHandler responseHandler)`
`void` | `getTaskByWorkItemId(long workItemId, TaskClientHandler.GetTaskResponseHandler responseHandler)`
`void` | `getTasksAssignedAsBusinessAdministrator(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsExcludedOwner(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResult, TaskClientHandler.TaskSummaryResponseHandler responseHandler)` Deprecated.
`void` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)` Deprecated.
`void` | `getTasksAssignedAsPotentialOwner(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language, BlockingTaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language, BlockingTaskSummaryResponseHandler responseHandler)` Deprecated.
`void` | `getTasksAssignedAsRecipient(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsTaskInitiator(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksAssignedAsTaskStakeholder(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksByProcessInstanceId(long processInstanceId, TaskClientHandler.GetIdsResponseHandler responseHandler)`
`void` | `getTasksByStatusByProcessId(long processInstanceId, List<Status> status, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksByStatusByProcessIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksOwned(String userId, List<Status> status, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `getTasksOwned(String userId, String language, TaskClientHandler.TaskSummaryResponseHandler responseHandler)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `query(String qlString, Integer size, Integer offset, TaskClientHandler.QueryGenericResponseHandler responseHandler)` Deprecated.
`void` | `register(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `registerForEvent(EventKey key, boolean remove, EventResponseHandler responseHandler)` This method registers for an event key a handler to notify the task life cycle events
`void` | `release(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `remove(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `resume(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `setDocumentContent(long taskId, Content content, TaskClientHandler.SetDocumentResponseHandler responseHandler)`
`void` | `setFault(long taskId, String userId, FaultData fault, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `setOutput(long taskId, String userId, ContentData outputContentData, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `setPriority(long taskId, String userId, int priority, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `skip(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `start(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `stop(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `suspend(long taskId, String userId, TaskClientHandler.TaskOperationResponseHandler responseHandler)`
`void` | `unregisterForEvent(EventKey key)` This method removes all the handlers associated with an EventKey

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskClient

    public TaskClient(TaskClientConnector connector)

### TaskClient

    public TaskClient(TaskClientConnector connector,
                      Environment environment)

Method Detail

### addTask

    public void addTask(Task task,
                        ContentData content,
                        TaskClientHandler.AddTaskResponseHandler responseHandler)

  Specified by:
    `addTask` in interface `AsyncTaskService`

### getTask

    public void getTask(long taskId,
                        TaskClientHandler.GetTaskResponseHandler responseHandler)

  Specified by:
    `getTask` in interface `AsyncTaskService`

### addComment

    public void addComment(long taskId,
                           Comment comment,
                           TaskClientHandler.AddCommentResponseHandler responseHandler)

  Specified by:
    `addComment` in interface `AsyncTaskService`

### deleteComment

    public void deleteComment(long taskId,
                              long commentId,
                              TaskClientHandler.DeleteCommentResponseHandler responseHandler)

  Specified by:
    `deleteComment` in interface `AsyncTaskService`

### addAttachment

    public void addAttachment(long taskId,
                              Attachment attachment,
                              Content content,
                              TaskClientHandler.AddAttachmentResponseHandler responseHandler)

  Specified by:
    `addAttachment` in interface `AsyncTaskService`

### deleteAttachment

    public void deleteAttachment(long taskId,
                                 long attachmentId,
                                 long contentId,
                                 TaskClientHandler.DeleteAttachmentResponseHandler responseHandler)

  Specified by:
    `deleteAttachment` in interface `AsyncTaskService`

### setDocumentContent

    public void setDocumentContent(long taskId,
                                   Content content,
                                   TaskClientHandler.SetDocumentResponseHandler responseHandler)

  Specified by:
    `setDocumentContent` in interface `AsyncTaskService`

### getContent

    public void getContent(long contentId,
                           TaskClientHandler.GetContentResponseHandler responseHandler)

  Specified by:
    `getContent` in interface `AsyncTaskService`

### claim

    public void claim(long taskId,
                      String userId,
                      TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `claim` in interface `AsyncTaskService`

### claim

    @Deprecated
    public void claim(long taskId,
                                 String userId,
                                 List<String> groupIds,
                                 TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Deprecated.

  Specified by:
    `claim` in interface `AsyncTaskService`

### start

    public void start(long taskId,
                      String userId,
                      TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `start` in interface `AsyncTaskService`

### stop

    public void stop(long taskId,
                     String userId,
                     TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `stop` in interface `AsyncTaskService`

### release

    public void release(long taskId,
                        String userId,
                        TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `release` in interface `AsyncTaskService`

### suspend

    public void suspend(long taskId,
                        String userId,
                        TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `suspend` in interface `AsyncTaskService`

### resume

    public void resume(long taskId,
                       String userId,
                       TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `resume` in interface `AsyncTaskService`

### skip

    public void skip(long taskId,
                     String userId,
                     TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `skip` in interface `AsyncTaskService`

### delegate

    public void delegate(long taskId,
                         String userId,
                         String targetUserId,
                         TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `delegate` in interface `AsyncTaskService`

### forward

    public void forward(long taskId,
                        String userId,
                        String targetEntityId,
                        TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `forward` in interface `AsyncTaskService`

### complete

    public void complete(long taskId,
                         String userId,
                         ContentData outputData,
                         TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `complete` in interface `AsyncTaskService`

### completeWithResults

    public void completeWithResults(long taskId,
                                    String userId,
                                    Object results,
                                    TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `completeWithResults` in interface `AsyncTaskService`

### fail

    public void fail(long taskId,
                     String userId,
                     FaultData faultData,
                     TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `fail` in interface `AsyncTaskService`

### getTasksOwned

    public void getTasksOwned(String userId,
                              String language,
                              TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksOwned` in interface `AsyncTaskService`

### getTasksOwned

    public void getTasksOwned(String userId,
                              List<Status> status,
                              String language,
                              TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksOwned` in interface `AsyncTaskService`

### getTaskByWorkItemId

    public void getTaskByWorkItemId(long workItemId,
                                    TaskClientHandler.GetTaskResponseHandler responseHandler)

  Specified by:
    `getTaskByWorkItemId` in interface `AsyncTaskService`

### getTasksByProcessInstanceId

    public void getTasksByProcessInstanceId(long processInstanceId,
                                            TaskClientHandler.GetIdsResponseHandler responseHandler)

  Specified by:
    `getTasksByProcessInstanceId` in interface `AsyncTaskService`

### getTasksAssignedAsBusinessAdministrator

    public void getTasksAssignedAsBusinessAdministrator(String userId,
                                                        String language,
                                                        TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `AsyncTaskService`

### getTasksAssignedAsExcludedOwner

    public void getTasksAssignedAsExcludedOwner(String userId,
                                                String language,
                                                TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsExcludedOwner` in interface `AsyncTaskService`

### getTasksAssignedAsPotentialOwner

    public void getTasksAssignedAsPotentialOwner(String userId,
                                                 String language,
                                                 TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `AsyncTaskService`

### getTasksAssignedAsPotentialOwner

    @Deprecated
    public void getTasksAssignedAsPotentialOwner(String userId,
                                                            List<String> groupIds,
                                                            String language,
                                                            TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Deprecated.

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `AsyncTaskService`

### getTasksAssignedAsPotentialOwner

    @Deprecated
    public void getTasksAssignedAsPotentialOwner(String userId,
                                                            List<String> groupIds,
                                                            String language,
                                                            int firstResult,
                                                            int maxResult,
                                                            TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Deprecated.

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `AsyncTaskService`

### getSubTasksAssignedAsPotentialOwner

    public void getSubTasksAssignedAsPotentialOwner(long parentId,
                                                    String userId,
                                                    String language,
                                                    TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getSubTasksAssignedAsPotentialOwner` in interface `AsyncTaskService`

### getSubTasksByParent

    public void getSubTasksByParent(long parentId,
                                    TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getSubTasksByParent` in interface `AsyncTaskService`

### getTasksAssignedAsRecipient

    public void getTasksAssignedAsRecipient(String userId,
                                            String language,
                                            TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsRecipient` in interface `AsyncTaskService`

### getTasksAssignedAsTaskInitiator

    public void getTasksAssignedAsTaskInitiator(String userId,
                                                String language,
                                                TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsTaskInitiator` in interface `AsyncTaskService`

### getTasksAssignedAsTaskStakeholder

    public void getTasksAssignedAsTaskStakeholder(String userId,
                                                  String language,
                                                  TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsTaskStakeholder` in interface `AsyncTaskService`

### registerForEvent

    public void registerForEvent(EventKey key,
                                 boolean remove,
                                 EventResponseHandler responseHandler)

  Description copied from interface: `AsyncTaskService`
  This method registers for an event key a handler to notify the task life cycle events

  Specified by:
    `registerForEvent` in interface `AsyncTaskService`
    `remove` - The remove boolean is used to remove the handler after firing a notification

### unregisterForEvent

    public void unregisterForEvent(EventKey key)

  Description copied from interface: `AsyncTaskService`
  This method removes all the handlers associated with an EventKey

  Specified by:
    `unregisterForEvent` in interface `AsyncTaskService`

### query

    @Deprecated
    public void query(String qlString,
                                 Integer size,
                                 Integer offset,
                                 TaskClientHandler.QueryGenericResponseHandler responseHandler)

  Deprecated.

  This method allows the user to exercise a query of his/her choice. This method will be deleted in future versions. Only select queries are currently supported, for obvious reasons.

  Specified by:
    `query` in interface `AsyncTaskService`
  Parameters:
    `qlString` - The query string.
    `size` - Maximum number of results to return.
    `offset` - The offset from the beginning of the result list determining the first result.

### register

    public void register(long taskId,
                         String userId,
                         TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `register` in interface `AsyncTaskService`

### remove

    public void remove(long taskId,
                       String userId,
                       TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `remove` in interface `AsyncTaskService`

### nominate

    public void nominate(long taskId,
                         String userId,
                         List<OrganizationalEntity> potentialOwners,
                         TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `nominate` in interface `AsyncTaskService`

### activate

    public void activate(long taskId,
                         String userId,
                         TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `activate` in interface `AsyncTaskService`

### exit

    public void exit(long taskId,
                     String userId,
                     TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `exit` in interface `AsyncTaskService`

### setOutput

    public void setOutput(long taskId,
                          String userId,
                          ContentData outputContentData,
                          TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `setOutput` in interface `AsyncTaskService`

### deleteOutput

    public void deleteOutput(long taskId,
                             String userId,
                             TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `deleteOutput` in interface `AsyncTaskService`

### setFault

    public void setFault(long taskId,
                         String userId,
                         FaultData fault,
                         TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `setFault` in interface `AsyncTaskService`

### deleteFault

    public void deleteFault(long taskId,
                            String userId,
                            TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `deleteFault` in interface `AsyncTaskService`

### setPriority

    public void setPriority(long taskId,
                            String userId,
                            int priority,
                            TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `setPriority` in interface `AsyncTaskService`

### connect

    public boolean connect()

  Specified by:
    `connect` in interface `AsyncTaskService`

### connect

    public boolean connect(String address,
                           int port)

  Specified by:
    `connect` in interface `AsyncTaskService`

### disconnect

    public void disconnect()
                    throws Exception

  Specified by:
    `disconnect` in interface `AsyncTaskService`
  Throws:
    `Exception`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   String language,
                                   TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Specified by:
    `claimNextAvailable` in interface `AsyncTaskService`

### claimNextAvailable

    @Deprecated
    public void claimNextAvailable(String userId,
                                              List<String> groupIds,
                                              String language,
                                              TaskClientHandler.TaskOperationResponseHandler responseHandler)

  Deprecated.

  Specified by:
    `claimNextAvailable` in interface `AsyncTaskService`

### getTasksAssignedAsPotentialOwnerByStatus

    public void getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                         List<Status> status,
                                                         String language,
                                                         BlockingTaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `AsyncTaskService`

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    @Deprecated
    public void getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                           List<String> groupIds,
                                                                           List<Status> status,
                                                                           String language,
                                                                           BlockingTaskSummaryResponseHandler responseHandler)

  Deprecated.

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatusByGroup` in interface `AsyncTaskService`

### getTasksByStatusByProcessId

    public void getTasksByStatusByProcessId(long processInstanceId,
                                            List<Status> status,
                                            String language,
                                            TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksByStatusByProcessId` in interface `AsyncTaskService`

### getTasksByStatusByProcessIdByTaskName

    public void getTasksByStatusByProcessIdByTaskName(long processInstanceId,
                                                      List<Status> status,
                                                      String taskName,
                                                      String language,
                                                      TaskClientHandler.TaskSummaryResponseHandler responseHandler)

  Specified by:
    `getTasksByStatusByProcessIdByTaskName` in interface `AsyncTaskService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.